Uptimeify Docs

TCP Monitor Check Historie abrufen

Gibt paginierte Check-Ergebnisse für einen TCP Monitor zurück.

GET /api/tcp-monitors/:tcpMonitorPublicId/check-history

Authentifizierung

Erfordert eine gültige Session.

  • Header: Authorization: Bearer <token>

Parameter

  • tcpMonitorPublicId (Pfad, erforderlich): Öffentliche UUID des TCP Monitors.

Query Parameter

  • page (number, optional): Seite (Default: 1).
  • limit (number, optional): Einträge pro Seite (Default: 10; Max 100). Wird bei format=csv oder download=1 durch die Export-Defaults ersetzt (Default 10000, Max 50000).
  • status (string, optional): success oder failure (failure matcht auch timeout).
  • minMs / maxMs (number, optional): Filter nach Response-Time-Bereich (timingTotal).
  • from / to (ISO-Datumsstring, optional): Filter nach checkedAt-Bereich.
  • format (string, optional): json (Default) oder csv.
  • download (string, optional): 1 erzwingt einen Attachment-Download.

cURL

curl "https://YOUR_DOMAIN/api/tcp-monitors/44444444-4444-4444-8444-444444444444/check-history?page=1&limit=50" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "data": [
    {
      "id": 12345,
      "status": "success",
      "success": true,
      "errorMessage": null,
      "checkedAt": "2026-02-26T12:00:00.000Z",
      "responseTimeMs": 42,
      "location": {
        "name": "Nuremberg (DE)",
        "code": "de-nbg"
      }
    }
  ],
  "total": 1,
  "page": 1,
  "pageCount": 1
}

Bei format=csv (oder download=1) ist die Response ein text/csv-Attachment (bzw. application/json bei format=json&download=1) anstelle der paginierten JSON-Antwort oben.

Errors

  • 400 TCP Monitor Public ID (UUID) erforderlich
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found

Auf dieser Seite